Bug 1735973 - ksirk: FTBFS in Fedora rawhide/f31
Summary: ksirk: FTBFS in Fedora rawhide/f31
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ksirk
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS 1732841
TreeView+ depends on / blocked
 
Reported: 2019-08-01 13:38 UTC by Fedora Release Engineering
Modified: 2019-08-18 13:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-18 13:39:12 UTC
Type: ---


Attachments (Terms of Use)
build.log (42 bytes, text/plain)
2019-08-01 13:38 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2019-08-01 13:38 UTC, Fedora Release Engineering
no flags Details
state.log (471 bytes, text/plain)
2019-08-01 13:38 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-08-01 13:38:33 UTC
ksirk failed to build from source in Fedora rawhide/f31

https://koji.fedoraproject.org/koji/taskinfo?taskID=36634658


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
Please fix ksirk at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ksirk will be orphaned. Before branching of Fedora 32,
ksirk will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-08-01 13:38:36 UTC
Created attachment 1597384 [details]
build.log

Comment 2 Fedora Release Engineering 2019-08-01 13:38:38 UTC
Created attachment 1597385 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2019-08-01 13:38:40 UTC
Created attachment 1597386 [details]
state.log

Comment 4 Ben Cotton 2019-08-13 16:48:09 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 5 Hans de Goede 2019-08-18 12:54:59 UTC
Looking at root.log, something went wrong on the buildsys during the mass-rebuild.

I'm going to kick off a new build and see if that fixes things.

Comment 6 Hans de Goede 2019-08-18 13:39:12 UTC
ksirk now has been successfully rebuild for F31+, closing.


Note You need to log in before you can comment on or make changes to this bug.